Bug 238110 - SELinux is preventing /usr/sbin/prelink (prelink_t) "getattr" to /lib/mapping-fedora (lib_t).
SELinux is preventing /usr/sbin/prelink (prelink_t) "getattr" to /lib/mapping...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-27 04:27 EDT by Christopher Aillon
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-27 12:12:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Aillon 2007-04-27 04:27:41 EDT
Summary
    SELinux is preventing /usr/sbin/prelink (prelink_t) "getattr" to /lib
    /mapping-fedora (lib_t).

Detailed Description
    SELinux denied access requested by /usr/sbin/prelink. It is not expected
    that this access is required by /usr/sbin/prelink and this access may signal
    an intrusion attempt. It is also possible that the specific version or
    configuration of the application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for /lib/mapping-fedora, restorecon
    -v /lib/mapping-fedora If this does not work, there is currently no
    automatic way to allow this access. Instead,  you can generate a local
    policy module to allow this access - see http://fedora.redhat.com/docs
    /selinux-faq-fc5/#id2961385 Or you can disable SELinux protection
    altogether. Disabling SELinux protection is not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                user_u:system_r:prelink_t
Target Context                user_u:object_r:lib_t
Target Objects                /lib/mapping-fedora [ sock_file ]
Affected RPM Packages         prelink-0.3.10-1 [application]
Policy RPM                    selinux-policy-2.6.1-1.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   plugins.catchall_file
Host Name                     mithrandir.roheryn.net
Platform                      Linux mithrandir.roheryn.net 2.6.20-1.3104.fc7 #1
                              SMP Sat Apr 21 22:20:43 EDT 2007 i686 i686
Alert Count                   4
First Seen                    Wed 18 Apr 2007 04:23:33 AM EDT
Last Seen                     Fri 27 Apr 2007 04:24:07 AM EDT
Local ID                      5ff31439-9a16-4811-b8c9-18a7e1eaedf0
Line Numbers                  

Raw Audit Messages            

avc: denied { getattr } for comm="prelink" dev=dm-0 egid=0 euid=0
exe="/usr/sbin/prelink" exit=0 fsgid=0 fsuid=0 gid=0 items=0 name="mapping-
fedora" path="/lib/mapping-fedora" pid=4473
scontext=user_u:system_r:prelink_t:s0 sgid=0 subj=user_u:system_r:prelink_t:s0
suid=0 tclass=sock_file tcontext=user_u:object_r:lib_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-04-27 11:54:01 EDT
What the heck is /lib/mapping-fedora and why is it under /lib?

Comment 2 Christopher Aillon 2007-04-27 12:08:51 EDT
Uh.  Actually, good question.  I have no idea what it is or why it's there.

[root@mithrandir ~]# rpm -qf /lib/mapping-fedora
file /lib/mapping-fedora is not owned by any package
[root@mithrandir ~]# ls -hl /lib/mapping-fedora
srwxrwxr-x 1 caillon caillon 0 2007-03-20 22:38 /lib/mapping-fedora
[root@mithrandir ~]# less /lib/mapping-fedora 
/lib/mapping-fedora is not a regular file (use -f to see it)
[root@mithrandir ~]# less -f /lib/mapping-fedora 
/lib/mapping-fedora: No such device or address

Comment 3 Christopher Aillon 2007-04-27 12:12:11 EDT
Wonder where that socket came from.  Oh well, just removed it.  Very strange.

Note You need to log in before you can comment on or make changes to this bug.